/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
 *         Robert Ammon <ammo6818@vandals.uidaho.edu>
 */

/* Make sure NS3_MODULE is undefined, it will be defined by the file including this file. */
#ifdef NS3_MODULE
#  undef NS3_MODULE
#endif

/* Define the module ids */
#ifndef NS3_MODULES_DEFINED
#define NS3_MODULES_DEFINED

#define NS3_ANTENNA_MODULE 1
#define NS3_AODV_MODULE 2
#define NS3_APPLICATIONS_MODULE 3
#define NS3_BRIDGE_MODULE 4
#define NS3_BUILDINGS_MODULE 5
#define NS3_CONFIG_STORE_MODULE 6
#define NS3_CORE_MODULE 7
#define NS3_CSMA_MODULE 8
#define NS3_CSMA_LAYOUT_MODULE 9
#define NS3_DSDV_MODULE 10
#define NS3_DSR_MODULE 11
#define NS3_ENERGY_MODULE 12
#define NS3_FD_NET_DEVICE_MODULE 13
#define NS3_FLOW_MONITOR_MODULE 14
#define NS3_INTERNET_MODULE 15
#define NS3_INTERNET_APPS_MODULE 16
#define NS3_LR_WPAN_MODULE 17
#define NS3_LTE_MODULE 18
#define NS3_MESH_MODULE 19
#define NS3_MOBILITY_MODULE 20
#define NS3_MPI_MODULE 21
#define NS3_NETANIM_MODULE 22
#define NS3_NETWORK_MODULE 23
#define NS3_NIX_VECTOR_MODULE 24
#define NS3_OLSR_MODULE 25
#define NS3_POINT_TO_POINT_MODULE 26
#define NS3_POINT_TO_POINT_LAYOUT_MODULE 27
#define NS3_PROPAGATION_MODULE 28
#define NS3_SIXLOWPAN_MODULE 29
#define NS3_SPECTRUM_MODULE 30
#define NS3_STATS_MODULE 31
#define NS3_TAP_BRIDGE_MODULE 32
#define NS3_TOPOLOGY_MODULE 33
#define NS3_TRAFFIC_CONTROL_MODULE 34
#define NS3_UAN_MODULE 35
#define NS3_VIRTUAL_NET_DEVICE_MODULE 36
#define NS3_WAVE_MODULE 37
#define NS3_WIFI_MODULE 38
#define NS3_WIMAX_MODULE 39

#endif /* NS3_MODULES_DEFINED */
